--- dict-gazetteer2k-1.0.0.orig/debian/changelog
+++ dict-gazetteer2k-1.0.0/debian/changelog
@@ -0,0 +1,46 @@
+dict-gazetteer2k (1.0.0-5.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * /etc/init.d/dictd sanity checks; closes: #441915.
+
+ -- Robert S. Edmonds <edmonds@debian.org>  Tue, 11 Sep 2007 16:51:04 -0400
+
+dict-gazetteer2k (1.0.0-5.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Use invoke-rc.d; closes: #367740.
+
+ -- Robert S. Edmonds <edmonds@debian.org>  Sun, 02 Sep 2007 02:20:42 -0400
+
+dict-gazetteer2k (1.0.0-5) unstable; urgency=medium
+
+  * Updated for more recent Python packages.  Closes: #398716.
+
+ -- John Goerzen <jgoerzen@complete.org>  Fri, 17 Nov 2006 06:40:47 -0600
+
+dict-gazetteer2k (1.0.0-4) unstable; urgency=low
+
+  * Updated with correct location of postal codes file.  Closes: #332561.
+
+ -- John Goerzen <jgoerzen@complete.org>  Tue, 11 Oct 2005 05:06:17 -0500
+
+dict-gazetteer2k (1.0.0-3) unstable; urgency=low
+
+  * Updated build process for Python 2.3.  Closes: #212069.
+
+ -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Oct 2003 13:33:41 -0500
+
+dict-gazetteer2k (1.0.0-2) unstable; urgency=low
+
+  * Updated indentation in descriptions in control file.
+    Closes: #156326, #156325, #156324.
+  * Changed build dep from dictd to dictzip.
+
+ -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Feb 2003 15:55:21 -0600
+
+dict-gazetteer2k (1.0.0-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- John Goerzen <jgoerzen@complete.org>  Mon, 29 Apr 2002 13:42:47 -0500
+
--- dict-gazetteer2k-1.0.0.orig/debian/control
+++ dict-gazetteer2k-1.0.0/debian/control
@@ -0,0 +1,64 @@
+Source: dict-gazetteer2k
+Section: text
+Priority: optional
+Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends-Indep: debhelper (>> 3.0.0), python, miscfiles, python-dictdlib, python-dictclient, dictzip
+Standards-Version: 3.5.2
+
+Package: dict-gazetteer2k
+Architecture: all
+Depends: dict-gazetteer2k-places, dict-gazetteer2k-counties, dict-gazetteer2k-zips
+Description: Placeholder package to install entire Gazetteer 2000
+ This package can be used to ensure that you always have the entire
+ set of files comprising the 2000 Gazetteer installed.  You might
+ want to use this package if you want the entire gazetteer available.
+ If you want only part of it on your server, you should not install
+ this package.
+
+Package: dict-gazetteer2k-places
+Architecture: all
+Suggests: dict, dictd
+Description: Places Database for the 2000 US Gazetteer
+ This is a database of (primarily) United States cities using
+ information gathered in the 2000 census.  Each entry contains:
+  * Full name for the city
+  * Type of entry (city, borough, village, etc)
+  * Total population and housing units
+  * Total land and water area, given in both square miles and
+    square kilometers
+  * Government FIPS code
+  * State the city is within
+  * Latitude and longitude of the city
+  * ZIP codes for the location from 1990.
+
+Package: dict-gazetteer2k-counties
+Architecture: all
+Suggests: dict, dictd
+Description: Counties Database for the 2000 US Gazetteer
+ This is a database of (primarily) United States counties using
+ information gathered in the 2000 census.  Each entry contains:
+  * Full name for the county
+  * Type of entry (county, municipio, parish, borough, etc)
+  * Total population and housing units
+  * Total land and water area, in both mi^2 and km^2
+  * State the county is within
+  * Latitude and longitude of the county
+
+Package: dict-gazetteer2k-zips
+Architecture: all
+Suggests: dict, dictd
+Description: ZIP and ZCTA database for the 2000 US Gazetteer
+ This is a database of United States ZIP code information.  It
+ contains a single database built from two separate sources:
+ the 1990 Census ZIP code information and the 2000 Census
+ ZCTA (ZIP Code Tabulation Area) information.  These
+ two pieces of information together provide a nice picture
+ of an area.
+ The 1990 ZIP Code Information provides:
+  * The name of location for each ZIP code (normally a city)
+  * The other ZIP codes corresponding to the same location.
+ The 2000 ZCTA information provides:
+  * Total population and housing unit count in a given ZIP code
+  * Total land and water area for the ZIP code
+  * The state in which the ZIP code is located
+  * The latitude and longitude of the ZIP code
--- dict-gazetteer2k-1.0.0.orig/debian/copyright
+++ dict-gazetteer2k-1.0.0/debian/copyright
@@ -0,0 +1,15 @@
+This package was debianized by John Goerzen <jgoerzen@complete.org> on
+Mon, 29 Apr 2002 13:42:47 -0500.
+
+It was downloaded from http://www.census.gov/geo/www/gazetteer/places2k.html
+and http://www.census.gov/ftp/pub/tiger/tms/gazetteer/allfiles.zip
+
+zips.txt was from ftp://ftp.census.gov:/pub/tiger/tms/gazetteer/zips.zip.
+
+Copyright:
+
+The US Census Bureau files are public domain, provided AS-IS.
+
+The formatting software is written by John Goerzen and is licensed under the
+GNU General Public License, version 2.  Debian GNU/Linux users may find it
+at /usr/share/common-licenses/GPL-2
--- dict-gazetteer2k-1.0.0.orig/debian/dirs.tmpl
+++ dict-gazetteer2k-1.0.0/debian/dirs.tmpl
@@ -0,0 +1 @@
+usr/share/dictd
--- dict-gazetteer2k-1.0.0.orig/debian/postinst.tmpl
+++ dict-gazetteer2k-1.0.0/debian/postinst.tmpl
@@ -0,0 +1,56 @@
+#! /bin/sh
+# postinst script for dict-moby-thesaurus
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+     if [ -x /usr/sbin/dictdconfig ]; then dictdconfig -w ;fi
+     if [ -x /etc/init.d/dictd ]; then
+          if which invoke-rc.d >/dev/null 2>&1; then
+               invoke-rc.d dictd restart
+          else
+               /etc/init.d/dictd restart
+          fi
+     fi
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- dict-gazetteer2k-1.0.0.orig/debian/postrm.tmpl
+++ dict-gazetteer2k-1.0.0/debian/postrm.tmpl
@@ -0,0 +1,45 @@
+#! /bin/sh
+# postrm script for dict-moby-thesaurus
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+     if [ -x /usr/sbin/dictdconfig ]; then dictdconfig -w ;fi
+     if [ -x /etc/init.d/dictd ]; then
+          if which invoke-rc.d >/dev/null 2>&1; then
+               invoke-rc.d dictd restart
+          else
+               /etc/init.d/dictd restart
+          fi
+     fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- dict-gazetteer2k-1.0.0.orig/debian/rules
+++ dict-gazetteer2k-1.0.0/debian/rules
@@ -0,0 +1,114 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+PYTHON=python
+BASENAMES=places counties zips
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	#$(MAKE)
+	#/usr/bin/docbook-to-man debian/dict-gazetteer2k.sgml > dict-gazetteer2k.1
+
+	$(PYTHON) zipswriter.py
+	$(PYTHON) placeswriter.py
+	$(PYTHON) countieswriter.py
+	dictzip *.dict
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+	-rm -f *.dict *.dz *.index *.pyc
+	-rm debian/*.dirs debian/*.postinst debian/*.postrm
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+
+	for FILE in $(BASENAMES); do \
+		cp debian/dirs.tmpl debian/dict-gazetteer2k-$$FILE.dirs; \
+		cp debian/postinst.tmpl debian/dict-gazetteer2k-$$FILE.postinst; \
+		cp debian/postrm.tmpl debian/dict-gazetteer2k-$$FILE.postrm; \
+		done
+
+	dh_installdirs -A
+
+	# Add here commands to install the package into debian/dict-gazetteer2k.
+	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dict-gazetteer2k
+
+	for FILE in places counties zips; do \
+		cp gazetteer2k-$$FILE.dict.dz debian/dict-gazetteer2k-$$FILE/usr/share/dictd/ ; \
+		cp gazetteer2k-$$FILE.index debian/dict-gazetteer2k-$$FILE/usr/share/dictd/ ; \
+		done
+
+
+
+# Build architecture-independent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs -A
+	dh_installexamples
+	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+	dh_installcron
+	dh_installman
+	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs -A
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb -A
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol -A
+	dh_md5sums -A
+	dh_builddeb -A
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
